@if (data(); as data) {
  <div [ngClass]="['list-visualization', jds.card, jds.mb(20)]">
    <div [ngClass]="[jds.cardBody, jds.py(15)]">
      <div [ngClass]="jds.d('flex')">
        <div [style.flexShrink]="0">
          <img
            [ngClass]="[jds.w(105), jds.h(105), jds.rounded(8)]"
            [alt]="data.name"
            [src]="env.backendURL + data.image"
            [style.objectFit]="'cover'"
            height="105"
            width="105"
            priority
            onError="this.src='assets/images/thumbnail.svg'"
          />
        </div>
        <div
          [ngClass]="jds.ms(26)"
          [style.flexGrow]="1"
        >
          <div
            [ngClass]="[
              jds.d('flex'),
              jds.alignItems('start'),
              jds.justifyContent('between'),
              jds.mb(10)
            ]"
          >
            <a
              [style.fontFamily]="'Roboto'"
              [ngClass]="[jds.fw('bold')]"
              [routerLink]="['/visualization', data.id]"
            >
              {{ data.name }}
            </a>

            <div
              [ngClass]="[jds.d('flex'), jds.alignItems('center'), jds.ms(26)]"
            >
              <span
                [colorScheme]="data.getClassification().bgColor"
                jdsBiBadge
              >
                {{ data.dataset_class.name }}
              </span>

              <!-- Action -->
              @if (
                isAction() &&
                (satudataUser.role_name === 'walidata' ||
                  satudataUser.role_name === 'opd')
              ) {
                <jds-bi-hosted-dropdown
                  [(open)]="isDropdown"
                  [jdsBiDropdownLimitWidth]="'auto'"
                  [jdsBiDropdownAlign]="'right'"
                  [content]="dropdown"
                >
                  <button
                    [ngClass]="[jds.py(7), jds.ms(10)]"
                    type="button"
                    jdsBiButton
                    size="sm"
                    colorScheme="gray"
                    isIconOnly="true"
                    variant="outline"
                  >
                    <jds-bi-icon
                      [size]="12"
                      name="ellipsis"
                    />
                  </button>
                </jds-bi-hosted-dropdown>

                <ng-template #dropdown>
                  <ul [ngClass]="[jds.dropdownMenu, jds.minW(150)]">
                    @switch (status()) {
                      @case ('active') {
                        <li [ngClass]="[jds.dropdownNavbarItem]">
                          <a
                            [ngClass]="[jds.dropdownNavbarLink]"
                            [routerLink]="['/my-visualization/edit/', data.id]"
                            [queryParams]="{
                              from: 'my-data'
                            }"
                          >
                            Ubah
                          </a>
                        </li>
                        <li [ngClass]="[jds.dropdownNavbarItem]">
                          <a
                            [ngClass]="[jds.dropdownNavbarLink]"
                            (click)="onArchive(data.id)"
                          >
                            Arsipkan
                          </a>
                        </li>
                      }
                      @case ('archive') {
                        <li [ngClass]="[jds.dropdownNavbarItem]">
                          <a
                            [ngClass]="[jds.dropdownNavbarLink]"
                            (click)="onActive(data.id)"
                          >
                            Aktifkan
                          </a>
                        </li>
                      }
                    }
                  </ul>
                </ng-template>
              }
            </div>
          </div>

          <div>
            <div
              [ngClass]="[jds.d('flex'), jds.alignItems('center'), jds.mb(8)]"
            >
              <!-- Visualisasi Diperbarui -->
              <div
                [ngClass]="[jds.me(16)]"
                [popperPlacement]="'top'"
                [popperTrigger]="'hover'"
                popper="Visualisasi Diperbarui"
              >
                <div
                  [ngClass]="[jds.d('flex')]"
                  [style.verticalAlign]="'middle'"
                >
                  <jds-bi-icon
                    [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                    name="calendar"
                  />
                  <span
                    [ngClass]="[jds.fs(14)]"
                    [style.position]="'relative'"
                    [style.top.px]="0.5"
                    [style.lineHeight.px]="23"
                  >
                    {{ moment(data.mdate).locale('id').format('DD MMMM YYYY') }}
                  </span>
                </div>
              </div>

              <!-- Topik -->
              <div
                [ngClass]="[jds.me(16)]"
                [popperPlacement]="'top'"
                [popperTrigger]="'hover'"
                popper="Topik"
              >
                <div
                  [ngClass]="[jds.d('flex')]"
                  [style.verticalAlign]="'middle'"
                >
                  <jds-bi-icon
                    [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                    name="book"
                  />
                  <span
                    [ngClass]="[jds.fs(14)]"
                    [style.position]="'relative'"
                    [style.top.px]="0.5"
                    [style.lineHeight.px]="23"
                  >
                    {{ data.sektoral.name }}
                  </span>
                </div>
              </div>

              <!-- Jumlah Dilihat -->
              <div
                [ngClass]="[jds.me(16)]"
                [popperPlacement]="'top'"
                [popperTrigger]="'hover'"
                popper="Jumlah Dilihat"
              >
                <div
                  [ngClass]="[jds.d('flex')]"
                  [style.verticalAlign]="'middle'"
                >
                  <jds-bi-icon
                    [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                    name="eye"
                  />
                  <span
                    [ngClass]="[jds.fs(14)]"
                    [style.position]="'relative'"
                    [style.top.px]="0.5"
                    [style.lineHeight.px]="23"
                  >
                    {{ data.count_view_private | number: '1.0-0' : 'id' }}
                  </span>
                </div>
              </div>
            </div>

            <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
              <!-- Organisasi -->
              <div
                [ngClass]="[jds.me(16)]"
                [popperPlacement]="'top'"
                [popperTrigger]="'hover'"
                popper="Organisasi"
              >
                <a [routerLink]="['/organization', data.skpd.id]">
                  <div
                    [ngClass]="[jds.d('flex')]"
                    [style.verticalAlign]="'middle'"
                  >
                    <jds-bi-icon
                      [ngClass]="[jds.me(6), jds.text(jdsBiColor.gray['600'])]"
                      name="building"
                    />
                    <span
                      [ngClass]="[jds.fs(14)]"
                      [style.position]="'relative'"
                      [style.top.px]="0.5"
                      [style.lineHeight.px]="23"
                    >
                      {{ data.skpd.nama_skpd }}
                    </span>
                  </div>
                </a>
              </div>
            </div>
          </div>

          <hr />

          <p
            [ngClass]="[jds.mb(3), jds.fs(14)]"
            [ngStyle]="{
              lineHeight: '22px',
              overflow: 'hidden',
              textOverflow: 'ellipsis',
              display: '-webkit-box',
              '-webkit-line-clamp': '2',
              '-webkit-box-orient': 'vertical'
            }"
          >
            {{ data.description | removeHtmlTag }}
          </p>
        </div>
      </div>
    </div>
  </div>
}
